{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.agenix;
in {
  options.marleyos.programs.agenix.enable = lib.mkEnableOption "agenix";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      agenix
    ];
  };
}
