{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.vlc;
in {
  options.marleyos.programs.vlc.enable = lib.mkEnableOption "vlc";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      vlc
    ];
  };
}
