{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.services.ddclient;
in {
  options.marleyos.services.ddclient.enable = lib.mkEnableOption "ddclient";

  config = lib.mkIf cfg.enable {
    age.secrets.ddclient.file = ../../../../secrets/ddclient.conf.age;

    services.ddclient = {
      enable = true;

      configFile = config.age.secrets.ddclient.path;
    };
  };
}
